#
# spec file for package openexr
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# perhaps you want to build against corresponding ilmbase build
%define asan_build  0
%define debug_build 0
%define sonum 23
%global so_suffix -2_2-23
Name:           openexr
Version:        2.2.1
Release:        lp152.7.20.1
Summary:        Utilities for work with HDR images in OpenEXR format
License:        BSD-3-Clause
Group:          Productivity/Graphics/Other
Url:            http://www.openexr.com/
Source0:        http://download.savannah.nongnu.org/releases/%{name}/%{name}-%{version}.tar.gz
Source1:        http://download.savannah.nongnu.org/releases/%{name}/%{name}-%{version}.tar.gz.sig
Source2:        baselibs.conf
Source3:        openexr.keyring
Patch0:         openexr-CVE-2018-18444.patch
# CVE-2017-9111 [bsc#1040109], CVE-2017-9113 [bsc#1040113], CVE-2017-9115 [bsc#1040115]
Patch1:         openexr-CVE-2017-9111,9113,9115.patch
# CVE-2017-14988 [bsc#1061305]
Patch2:         openexr-CVE-2017-14988.patch
# CVE-2020-11762 [bsc#1169549], out-of-bounds read and write in DwaCompressor:uncompress in ImfDwaCompressor.cpp when handling the UNKNOWN compression case|CVE-2020-11758 [bsc#1169573], out-of-bounds read in ImfOptimizedPixelReading.h.|CVE-2020-11764 [bsc#1169574], out-of-bounds write in copyIntoFrameBuffer in ImfMisc.cpp|CVE-2020-11765 [bsc#1169575], off-by-one error in use of the ImfXdr.h read function by DwaCompressor:Classifier:Classifier|CVE-2020-11763 [bsc#1169576], out-of-bounds read and write, as demonstrated by ImfTileOffsets.cpp|CVE-2020-11761 [bsc#1169578], out-of-bounds read during Huffman uncompression, as demonstrated by FastHufDecoder:refill in ImfFastHuf.cpp|CVE-2020-11760 [bsc#1169580], out-of-bounds read during RLE uncompression in rleUncompress in ImfRle.cpp
Patch3:         openexr-CVE-2020-11762,11758,11764,11765,11763,11761,11760.patch
# CVE-2020-15305 [bsc#1173467], use-after-free in DeepScanLineInputFile:DeepScanLineInputFile()
Patch4:         openexr-CVE-2020-15305.patch
# CVE-2020-15306 [bsc#1173469], invalid chunkCount attributes could cause a heap buffer overflow in getChunkOffsetTableSize()
Patch5:         openexr-CVE-2020-15306.patch
# CVE-2020-15304 [bsc#1173466], NULL pointer dereference in TiledInputFile:TiledInputFile()
Patch6:         openexr-CVE-2020-15304.patch
# CVE-2020-16587 [bsc#1179879], multiple memory safety issues
Patch7:         openexr-CVE-2020-16587.patch
Patch8:         openexr-CVE-2020-16588.patch
# CVE not found in bugzilla
Patch9:         openexr-CVE-2020-16589.patch
# CVE-2021-3476 [bsc#1184172], Undefined-shift in Imf_2_5::unpack14
Patch10:         openexr-CVE-2021-3476.patch
# CVE-2021-3475 [bsc#1184173], Integer-overflow in Imf_2_5::calculateNumTiles
Patch11:         openexr-CVE-2021-3475.patch
# CVE-2021-3474 [bsc#1184174], Undefined-shift in Imf_2_5::FastHufDecoder::FastHufDecoder
Patch12:         openexr-CVE-2021-3474.patch
# CVE-2021-3477 [bsc#1184353], Heap-buffer-overflow in Imf_2_5::DeepTiledInputFile::readPixelSampleCounts
Patch13:         openexr-CVE-2021-3477.patch
# CVE-2021-20296 [bsc#1184355], Segv on unknown address in Imf_2_5:hufUncompress - Null Pointer dereference
Patch14:         openexr-CVE-2021-20296.patch
# CVE-2021-3479 [bsc#1184354], Out-of-memory caused by allocation of a very large buffer
Patch15:         openexr-CVE-2021-3479.patch
# CVE-2021-23215 [bsc#1185216], Integer-overflow in Imf_2_5:DwaCompressor:initializeBuffers|CVE-2021-26260 [bsc#1185217], Integer-overflow in Imf_2_5:DwaCompressor:initializeBuffers
Patch16:         openexr-CVE-2021-23215,26260.patch
# CVE-2021-3598 [bsc#1187310], Heap buffer overflow in Imf_3_1:CharPtrIO:readChars
Patch17:         openexr-CVE-2021-3598.patch
# CVE-2021-3605 [bsc#1187395], Heap buffer overflow in the rleUncompress function
Patch18:         openexr-CVE-2021-3605.patch
# CVE-2021-20300 [bsc#1188458], Integer-overflow in Imf_2_5:hufUncompress
Patch19:         openexr-CVE-2021-20300.patch
# CVE-2021-20299 [bsc#1188459], Null-dereference READ in Imf_2_5:Header:operator
Patch20:         openexr-CVE-2021-20299.patch
# CVE-2021-20304 [bsc#1188461], Undefined-shift in Imf_2_5:hufDecode
Patch21:         openexr-CVE-2021-20304.patch
# CVE-2021-20302 [bsc#1188462], Floating-point-exception in Imf_2_5:precalculateTileInfot
Patch22:         openexr-CVE-2021-20302.patch
# CVE-2021-20303 [bsc#1188457], Heap-buffer-overflow in Imf_2_5::copyIntoFrameBuffer
Patch23:         openexr-CVE-2021-20303.patch
# CVE-2021-20298 [bsc#1188460], Out-of-memory in B44Compressor
Patch24:         openexr-CVE-2021-20298.patch
BuildRequires:  automake
BuildRequires:  fltk-devel
BuildRequires:  freeglut-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(IlmBase) >= 2.2.0
BuildRequires:  pkgconfig(zlib)
%if %{asan_build} || %{debug_build}
BuildRequires:  ilmbase-debugsource
BuildRequires:  libHalf%{sonum}-debuginfo
BuildRequires:  libIex%{so_suffix}-debuginfo
BuildRequires:  libIexMath%{so_suffix}-debuginfo
BuildRequires:  libIlmThread%{so_suffix}-debuginfo
BuildRequires:  libImath%{so_suffix}-debuginfo
%endif
Obsoletes:      OpenEXR <= 1.6.1
Provides:       OpenEXR = %{version}

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications. This package
contains a set of utilities to work with this format.

* exrheader, a utility for dumping header information
* exrstdattr, a utility for modifying OpenEXR standard attributes
* exrmaketiled, for generating tiled and rip/mipmapped images
* exrenvmap, for creating OpenEXR environment maps
* exrmakepreview, for creating preview images for OpenEXR files
* exr2aces, converter to ACES format
* exrmultiview, combine two or more images into one multi-view

%package -n libIlmImf%{so_suffix}
Summary:        Library to Handle EXR Pictures in 16-Bit Floating-Point Format
Group:          Development/Libraries/C and C++

%description -n libIlmImf%{so_suffix}
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.

This package contains shared library libIlmImf

%post -n libIlmImf%{so_suffix} -p /sbin/ldconfig
%postun -n libIlmImf%{so_suffix} -p /sbin/ldconfig

%files -n libIlmImf%{so_suffix}
%doc COPYING
%{_libdir}/libIlmImf-*.so.*

%package -n libIlmImfUtil%{so_suffix}
Summary:        Library to simplify development of OpenEXR utilities
Group:          Development/Libraries/C and C++

%description -n libIlmImfUtil%{so_suffix}
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.

This package contains shared library libIlmImfUtil

%post -n libIlmImfUtil%{so_suffix} -p /sbin/ldconfig
%postun -n libIlmImfUtil%{so_suffix} -p /sbin/ldconfig

%files -n libIlmImfUtil%{so_suffix}
%doc COPYING
%{_libdir}/libIlmImfUtil-*.so.*

%package devel
Summary:        Library to Handle EXR Pictures (16-bit floating-point format)
Group:          Development/Libraries/C and C++
Requires:       libIlmImf%{so_suffix} = %{version}
Requires:       libIlmImfUtil%{so_suffix} = %{version}
Requires:       libilmbase-devel
Requires:       pkgconfig
Requires:       pkgconfig(zlib)
Obsoletes:      OpenEXR-devel <= 1.6.1
Provides:       OpenEXR-devel = %{version}
Obsoletes:      libopenexr-devel <= 1.7.0
Provides:       libopenexr-devel = %{version}

%description devel
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.

This package contains header files.

%package doc
Summary:        Library to Handle EXR Pictures in 16-Bit Floating-Point Format
Group:          Development/Libraries/C and C++
Obsoletes:      OpenEXR-doc <= 1.6.1
Provides:       OpenEXR-doc = %{version}

%description doc
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.

This package contains a documentation

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1

# poor man's fdupes
if cmp COPYING LICENSE; then
    rm -rf LICENSE
    ln -sf COPYING LICENSE
fi

# remove non-linux file
rm README.OSX

%build
export PTHREAD_LIBS="-lpthread"
%if %{debug_build}
export CXXFLAGS="%{optflags} -O0"
%endif
%configure \
   --disable-static \
   --with-pic \
%if %{asan_build}
   --disable-ilmbasetest \
%endif
   --enable-large-stack \
   --enable-imfexamples \
   --enable-imfhugetest
%if %{asan_build}
vmemlimit=$(ulimit -v)
if [ $vmemlimit != unlimited ]; then
  echo "ulimit -v has to be unlimited (currently $vmemlimit) to run ASAN build"
  exit 1
fi
for i in $(find -name Makefile); do
  sed -i -e 's/\(^CXXFLAGS.*\)/\1 -fsanitize=address/' \
         -e 's/\(^LIBS =.*\)/\1 -lasan/' \
         $i
done
%endif
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

install -d -m 0755 %{buildroot}%{_defaultdocdir}/
mv %{buildroot}%{_datadir}/doc/OpenEXR-2* %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%check
%ifarch x86_64
make %{?_smp_mflags} check
%endif

%files
%doc AUTHORS ChangeLog COPYING LICENSE NEWS README*
%{_bindir}/exrenvmap
%{_bindir}/exrheader
%{_bindir}/exrmakepreview
%{_bindir}/exrmaketiled
%{_bindir}/exrstdattr
%{_bindir}/exrmultiview
%{_bindir}/exrmultipart

%files devel
%{_includedir}/OpenEXR
%{_libdir}/libIlmImf.so
%{_libdir}/libIlmImfUtil.so
%{_libdir}/pkgconfig/OpenEXR.pc
%{_datadir}/aclocal/openexr.m4

%files doc
%{_docdir}/%{name}-%{version}

%changelog
* Tue Aug  3 2021 pgajdos@suse.com
- security update
- modified patches
  %% openexr-CVE-2021-3476.patch (refreshed)
- added patches
  fix CVE-2021-20298 [bsc#1188460], Out-of-memory in B44Compressor
  + openexr-CVE-2021-20298.patch
  fix CVE-2021-20299 [bsc#1188459], Null-dereference READ in Imf_2_5:Header:operator
  + openexr-CVE-2021-20299.patch
  fix CVE-2021-20300 [bsc#1188458], Integer-overflow in Imf_2_5:hufUncompress
  + openexr-CVE-2021-20300.patch
  fix CVE-2021-20302 [bsc#1188462], Floating-point-exception in Imf_2_5:precalculateTileInfot
  + openexr-CVE-2021-20302.patch
  fix CVE-2021-20303 [bsc#1188457], Heap-buffer-overflow in Imf_2_5::copyIntoFrameBuffer
  + openexr-CVE-2021-20303.patch
  fix CVE-2021-20304 [bsc#1188461], Undefined-shift in Imf_2_5:hufDecode
  + openexr-CVE-2021-20304.patch
* Wed Jun 16 2021 pgajdos@suse.com
- security update
- added patches
  fix CVE-2021-3605 [bsc#1187395], Heap buffer overflow in the rleUncompress function
  + openexr-CVE-2021-3605.patch
* Tue Jun 15 2021 pgajdos@suse.com
- security update
- added patches
  fix CVE-2021-3598 [bsc#1187310], Heap buffer overflow in Imf_3_1:CharPtrIO:readChars
  + openexr-CVE-2021-3598.patch
* Tue Apr 27 2021 pgajdos@suse.com
- security update
- added patches
  fix CVE-2021-23215 [bsc#1185216], Integer-overflow in Imf_2_5:DwaCompressor:initializeBuffers
  fix CVE-2021-26260 [bsc#1185217], Integer-overflow in Imf_2_5:DwaCompressor:initializeBuffers
  + openexr-CVE-2021-23215,26260.patch
* Thu Apr  8 2021 pgajdos@suse.com
- security update
- modified patches
  %% openexr-CVE-2021-3474.patch (splitted into openexr-CVE-2021-20296.patch)
- added patches
  fix CVE-2021-20296 [bsc#1184355], Segv on unknown address in Imf_2_5:hufUncompress - Null Pointer dereference
  + openexr-CVE-2021-20296.patch
  fix CVE-2021-3477 [bsc#1184353], Heap-buffer-overflow in Imf_2_5::DeepTiledInputFile::readPixelSampleCounts
  + openexr-CVE-2021-3477.patch
  fix CVE-2021-3479 [bsc#1184354], Out-of-memory caused by allocation of a very large buffer
  + openexr-CVE-2021-3479.patch
* Wed Mar 31 2021 pgajdos@suse.com
- security update
- added patches
  fix CVE-2021-3474 [bsc#1184174], Undefined-shift in Imf_2_5::FastHufDecoder::FastHufDecoder
  + openexr-CVE-2021-3474.patch
  fix CVE-2021-3475 [bsc#1184173], Integer-overflow in Imf_2_5::calculateNumTiles
  + openexr-CVE-2021-3475.patch
  fix CVE-2021-3476 [bsc#1184172], Undefined-shift in Imf_2_5::unpack14
  + openexr-CVE-2021-3476.patch
* Wed Dec 16 2020 pgajdos@suse.com
- security update
- added patches
  fix CVE-2020-16587, CVE-2020-16588, CVE-2020-16589 [bsc#1179879], multiple memory safety issues
  + openexr-CVE-2020-16587.patch
  + openexr-CVE-2020-16588.patch
  + openexr-CVE-2020-16589.patch
* Wed Jul  1 2020 pgajdos@suse.com
- security update
- added patches
  fix CVE-2020-15304 [bsc#1173466], NULL pointer dereference in TiledInputFile:TiledInputFile()
  + openexr-CVE-2020-15304.patch
  fix CVE-2020-15305 [bsc#1173467], use-after-free in DeepScanLineInputFile:DeepScanLineInputFile()
  + openexr-CVE-2020-15305.patch
  fix CVE-2020-15306 [bsc#1173469], invalid chunkCount attributes could cause a heap buffer overflow in getChunkOffsetTableSize()
  + openexr-CVE-2020-15306.patch
* Wed Apr 22 2020 pgajdos@suse.com
- security update
- added patches
  fix CVE-2020-11762 [bsc#1169549], out-of-bounds read and write in DwaCompressor:uncompress in ImfDwaCompressor.cpp when handling the UNKNOWN compression case
  fix CVE-2020-11758 [bsc#1169573], out-of-bounds read in ImfOptimizedPixelReading.h.
  fix CVE-2020-11764 [bsc#1169574], out-of-bounds write in copyIntoFrameBuffer in ImfMisc.cpp
  fix CVE-2020-11765 [bsc#1169575], off-by-one error in use of the ImfXdr.h read function by DwaCompressor:Classifier:Classifier
  fix CVE-2020-11763 [bsc#1169576], out-of-bounds read and write, as demonstrated by ImfTileOffsets.cpp
  fix CVE-2020-11761 [bsc#1169578], out-of-bounds read during Huffman uncompression, as demonstrated by FastHufDecoder:refill in ImfFastHuf.cpp
  fix CVE-2020-11760 [bsc#1169580], out-of-bounds read during RLE uncompression in rleUncompress in ImfRle.cpp
  + openexr-CVE-2020-11762,11758,11764,11765,11763,11761,11760.patch
* Fri Sep 20 2019 pgajdos@suse.com
- testsuite only for x86_64 [bsc#1146648]
* Fri Sep 20 2019 pgajdos@suse.com
- on behalf of Martin Pluskal:
- Enable tests on architectures with enough memory - boo#1146648
  * disable imffuzztest as it takes to much resources
* Mon Jul 15 2019 pgajdos@suse.com
- security update
- added patches
  CVE-2017-14988 [bsc#1061305]
  + openexr-CVE-2017-14988.patch
* Fri Jun 14 2019 pgajdos@suse.com
- security update
- added patches
  CVE-2017-9111 [bsc#1040109], CVE-2017-9113 [bsc#1040113], CVE-2017-9115 [bsc#1040115]
  + openexr-CVE-2017-9111,9113,9115.patch
* Wed Nov  7 2018 Petr Gajdos <pgajdos@suse.com>
- security update
  * CVE-2018-18444 [bsc#1113455]
    + openexr-CVE-2018-18444.patch
* Tue Nov  6 2018 Petr Gajdos <pgajdos@suse.com>
- asan_build: build ASAN included
- debug_build: build more suitable for debugging
* Mon Jan 15 2018 avindra@opensuse.org
- Update to 2.2.1
  * Fix reported OpenEXR security vulnerabilities: CVE-2017-9110,
    CVE-2017-9111, CVE-2017-9112, CVE-2017-9113, CVE-2017-9114,
    CVE-2017-9115 and CVE-2017-9116
- pgajdos@suse.com: but really seem to fix only:
  CVE-2017-9110 [bsc#1040107], CVE-2017-9114 [bsc#1040114],
  CVE-2017-9116 [bsc#1040116], CVE-2017-12596 [bsc#1052522]; for
  the rest of issues see [bsc#1040109], [bsc#1040112],
  [bsc#1040113], [bsc#1040114], [bsc#1040115], and [bsc#1061305]
* Wed Jul 12 2017 tchvatal@suse.com
- Cleanup a bit with spec-cleaner
* Thu Jan 29 2015 mlin@suse.com
- Update to 2.2.0
  * DreamWorks Lossy Compression A new high quality, high performance lossy
    compression codec contributed by DreamWorks Animation. This codec allows
    control over variable lossiness to balance visual quality and file size.
    This contribution also includes performance improvements that speed up
    the PIZ codec.
  * IlmImfUtil A new library intended to aid in development of image file
    manipulation utilities that support the many types of OpenEXR images.
  * This release also includes improvements to cross-platform build support
    using CMake.
- Bumped the soname, and now we have libIlmImf and libIlmImfUtil
- Removed openexr-2.1.0-headers.patch
- Updated openexr.keyring from the savannah project page.
* Tue Aug 26 2014 fcrozat@suse.com
- Add obsoletes to baselibs.conf.
* Thu Apr 24 2014 dmueller@suse.com
- remove dependency on gpg-offline (blocks rebuilds and
  tarball integrity is checked by source-validator anyway)
* Thu Nov 28 2013 toganm@opensuse.org
- add openexr-2.1.0-headers.patch to install
  ImfDeepImageStateAttribute.h header too
* Wed Nov 27 2013 mvyskocil@suse.com
- update to 2.1.0
  This release includes a refactoring of the optimised read paths for RGBA
  data, optimisations for some of the python bindings to Imath, improvements to
  the cmake build environment as well as additional documentation describing
  deep data in more detail.
- make tests conditional, enable fuzz test and huge test
* Mon Jul 15 2013 mvyskocil@suse.com
- update to 2.0.1
  This is a maintenance push that predominantly addresses edge case
  failures in the optimisation code paths by temporarily disabling the
  feature. For more details, please refer to the
  /usr/share/doc/packages/openexr/ChangeLog
- add gpg-offline based verification
* Sat Apr 20 2013 coolo@suse.com
- fix library deps
* Fri Apr 12 2013 mvyskocil@suse.com
- update to 2.0.0
  * Deep Data support - Pixels can now store a variable-length list of samples.
  The main rationale behind deep images is to enable the storage of multiple
  values at different depths for each pixel. OpenEXR 2.0 supports both
  hard-surface and volumetric representations for Deep Compositing workflows.
  * Multi-part Image Files - With OpenEXR 2.0, files can now contain a number
  of separate, but related, data parts in one file. Access to any part is
  independent of the others, pixels from parts that are not required in the
  current operation don't need to be accessed, resulting in quicker read
  times when accessing only a subset of channels. The multipart interface
  also incorporates support for Stereo images where views are stored in
  separate parts. This makes stereo OpenEXR 2.0 files significantly faster to
  work with than the previous multiview support in OpenEXR.
  * Optimized pixel reading - decoding RGB(A) scanline images has been
  accelerated on SSE processors providing a significant speedup when reading
  both old and new format images, including multipart and multiview files.
  * Namespacing - The library introduces versioned namespaces to avoid
  conflicts between packages compiled with different versions of the library.
- obsoleted
    openexr-suse-docdir.patch (moved in install phase)
    openexr-disable-tests.patch
* Thu Sep 27 2012 cfarrell@suse.com
- license update: BSD-3-Clause
  No GPL licensed files found in the package
* Thu Sep 27 2012 idonmez@suse.com
- Update baselibs.conf
* Thu Aug  2 2012 mvyskocil@suse.cz
- Update to 1.7.1
  * Updated the .so verison to 7.
  * obsoletes openexr-includes.patch
- require new ilmbase-devel for build
- rename libopenexr-devel to openexr devel to be compatible
  with renamed ilmbase package
* Tue Apr 24 2012 mvyskocil@suse.cz
- disable the test at all, as running them in OBS seems not to be
  reliable
* Sun Jan 29 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
* Mon Oct 31 2011 mvyskocil@suse.cz
- openexr-disable-tests.patch - disable broken tests prevents a build
  in Factory
* Wed Jul 27 2011 dmueller@suse.de
- remove explicit libdrm buildrequires
* Tue Mar  8 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel build
* Mon Aug  9 2010 mvyskocil@suse.cz
- Update to 1.7.0 - bugfix release, multiviewer support
  * obsoletes CVE-2009-1720 support
  * built with --enable-larget-stack and test
- Renammed to be more comfortable with Shared Library policy
  * openexr - main (source package) contains tools in bindir, it provides and
    obsoletes the old OpenEXR symbol
  * libIlmImf6 - contains the openexr library
  * libopenexr-devel - contains the headers, Provides and Obsoletes the
    OpenEXR-devel symbol
  * openexr-doc - documentation
* Fri Dec 18 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Tue Aug  4 2009 mvyskocil@suse.cz
- fixed bnc#527539:  VUL-0: OpenEXR: [ MDVSA-2009:190 ] OpenEXR
  used patches from Mandriva
  * CVE-2009-1720
  * CVE-2009-1721
* Mon Mar  2 2009 crrodriguez@suse.de
- save 6.7MB by removing static libraries and "la" files
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Oct 31 2007 mvyskocil@suse.cz
- update to 1.6.1
- fix buid, add docu subpackage with documentation and examples
* Sat May 19 2007 stbinner@suse.de
- fix linking of new IlmThread lib versus libpthread
* Mon May 14 2007 ltinkl@suse.cz
- update to 1.4.6
- fix build, fix packaging examples and doc
- added missing Requires
* Tue Jan 16 2007 meissner@suse.de
- fixed RPM_OPT_FLAGS
* Mon Jun 12 2006 dmueller@suse.de
- fix shared lib dependencies
- fix installed headers
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov  7 2005 sndirsch@suse.de
- make use of mesa-devel-packages macro in neededforbuild
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Wed May 25 2005 adrian@suse.de
- update to version 1.2.2
* Mon May 23 2005 schwab@suse.de
- Fix missing declaration.
* Thu Jan 13 2005 ro@suse.de
- try to fix docu installation
* Mon Jun 28 2004 adrian@suse.de
- initial package of version 1.2.1
